/*
 * @(#)src/tools/pfm/java_md.h, tool, an32dev, 20090611 1.19
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */





/*
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason Date Origin Description
 * ------ ---- ------ ----------------------------------------------------
 * 026059  301000 cheersl Brought copyright header up to date
 * 061690  020603 pratunga To make -Xdebug and -Xj9 options work for z/OS
 * 088699  130505 kaaruna Upgrade to 5.0 launcher
 * 088706  170505 kaaruna   Support applets in SWT browser
 * 089157  030605 andyt    WARN: 'stricmp' inconsistent dll linkage warning - java_md.h
 * 97210   261005 kaaruna  Backout changes of feature 88706
 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION: IBM.WRITEME
 * ===========================================================================
 */

#ifndef JAVA_MD_H
#define JAVA_MD_H

#include <windows.h>
#include <jni.h>									/*ibm@88699*/
#include <io.h>										/*ibm@88699*/
#include "manifest_info.h"							/*ibm@88699*/
#include "version_comp.h"							/*ibm@88699*/
#include <process.h>								/*ibm@88699*/

#define PATH_SEPARATOR  ';'
#define FILE_SEPARATOR  '\\'
#define MAXPATHLEN      MAX_PATH
#define MAXNAMELEN		MAX_PATH						/*ibm@88699*/

#ifdef JAVA_ARGS
/*
 * ApplicationHome is prepended to each of these entries; the resulting
 * strings are concatenated (seperated by PATH_SEPARATOR) and used as the
 * value of -cp option to the launcher.
 */
#ifndef APP_CLASSPATH
#define APP_CLASSPATH        { "\\lib\\tools.jar", "\\classes" }
#endif
#endif

/*
 * Support for doing cheap, accurate interval timing.
 */
extern jlong CounterGet(void);
extern jlong Counter2Micros(jlong counts);

#ifdef JAVAW
#define main _main
extern int _main(int argc, char **argv);
#endif

/*ibm@88699 start*/
char *LocateJRE(manifest_info* info);
void ExecJRE(char *jre, char **argv);
int UnsetEnv(char *name);
/*int strcasecmp(const char *s1, const char *s2);*/                /*ibm@89157*/
int strncasecmp(const char *s1, const char *s2, size_t n);
/*ibm@88699 end*/

/* ibm@1140 ibm@3218
 * Define ATOE functions as no-ops
 */
#define InitMain1(c,v,j)
#define InitMain2(c,v,j)
#define ConvertArgsToPlatform(c,v)
#define ConvertArgstoASCII(c,v)

#endif
